(use-modules (guix packages)
             ((guix licenses) #:prefix license:)
             (guix download)
             (guix git)
             (guix git-download)
             (guix build-system gnu)
             (guix utils)
             (gnu packages)
             (gnu packages autotools)
             (gnu packages gnupg)
             (gnu packages guile)
             (gnu packages guile-xyz)
             (gnu packages pkg-config)
             (gnu packages texinfo)
             (gnu packages tls))

(define guile-hoot*
  (let ((commit "cc4461a0581cb4f2f147f25478edd6b7eaae7b8e"))
    (package
     (inherit guile-hoot)
     (version (string-append (package-version guile-hoot)
                             "-1." (string-take commit 7)))
     (source (origin
              (method git-fetch)
              (uri (git-reference
                    (url "https://gitlab.com/spritely/guile-hoot.git")
                    (commit commit)))
              (sha256
               (base32
                "1skpngxiyhicqjknyb7y99d29anlac64s1yyxpnpz6vjp4p3r9w0"))))
     (arguments
      '(#:tests? #f)))))

(packages->manifest (list guile-next guile-hoot* gnu-make))
